Index: uspace/app/calculator/calculator.c
===================================================================
--- uspace/app/calculator/calculator.c	(revision 96c6a005543f33cc3c981d5509c272f7fc2978cf)
+++ uspace/app/calculator/calculator.c	(revision c88d7f99a03ed5648769517d28db22e858d28931)
@@ -902,5 +902,5 @@
 	}
 
-	rc = ui_menu_entry_create(mfile, "Exit", "Alt-F4", &mexit);
+	rc = ui_menu_entry_create(mfile, "E~x~it", "Alt-F4", &mexit);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -916,5 +916,5 @@
 	}
 
-	rc = ui_menu_entry_create(medit, "Copy", "Ctrl-C", &mcopy);
+	rc = ui_menu_entry_create(medit, "~C~opy", "Ctrl-C", &mcopy);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -924,5 +924,5 @@
 	ui_menu_entry_set_cb(mcopy, calc_edit_copy, (void *) &calc);
 
-	rc = ui_menu_entry_create(medit, "Paste", "Ctrl-V", &mpaste);
+	rc = ui_menu_entry_create(medit, "~P~aste", "Ctrl-V", &mpaste);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
Index: uspace/app/edit/edit.c
===================================================================
--- uspace/app/edit/edit.c	(revision 96c6a005543f33cc3c981d5509c272f7fc2978cf)
+++ uspace/app/edit/edit.c	(revision c88d7f99a03ed5648769517d28db22e858d28931)
@@ -436,5 +436,5 @@
 	}
 
-	rc = ui_menu_entry_create(mfile, "Save", "Ctrl-S", &msave);
+	rc = ui_menu_entry_create(mfile, "~S~ave", "Ctrl-S", &msave);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -444,5 +444,5 @@
 	ui_menu_entry_set_cb(msave, edit_file_save, (void *) edit);
 
-	rc = ui_menu_entry_create(mfile, "Save As", "Ctrl-E", &msaveas);
+	rc = ui_menu_entry_create(mfile, "Save ~A~s", "Ctrl-E", &msaveas);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -458,5 +458,5 @@
 	}
 
-	rc = ui_menu_entry_create(mfile, "Exit", "Ctrl-Q", &mexit);
+	rc = ui_menu_entry_create(mfile, "E~x~it", "Ctrl-Q", &mexit);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -472,5 +472,5 @@
 	}
 
-	rc = ui_menu_entry_create(medit, "Cut", "Ctrl-X", &mcut);
+	rc = ui_menu_entry_create(medit, "Cu~t~", "Ctrl-X", &mcut);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -480,5 +480,5 @@
 	ui_menu_entry_set_cb(mcut, edit_edit_cut, (void *) edit);
 
-	rc = ui_menu_entry_create(medit, "Copy", "Ctrl-C", &mcopy);
+	rc = ui_menu_entry_create(medit, "~C~opy", "Ctrl-C", &mcopy);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -488,5 +488,5 @@
 	ui_menu_entry_set_cb(mcopy, edit_edit_copy, (void *) edit);
 
-	rc = ui_menu_entry_create(medit, "Paste", "Ctrl-V", &mpaste);
+	rc = ui_menu_entry_create(medit, "~P~aste", "Ctrl-V", &mpaste);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -496,5 +496,5 @@
 	ui_menu_entry_set_cb(mpaste, edit_edit_paste, (void *) edit);
 
-	rc = ui_menu_entry_create(medit, "Delete", "Del", &mdelete);
+	rc = ui_menu_entry_create(medit, "~D~elete", "Del", &mdelete);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -510,5 +510,5 @@
 	}
 
-	rc = ui_menu_entry_create(medit, "Select All", "Ctrl-A", &mselall);
+	rc = ui_menu_entry_create(medit, "Select ~A~ll", "Ctrl-A", &mselall);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -524,5 +524,5 @@
 	}
 
-	rc = ui_menu_entry_create(msearch, "Find", "Ctrl-F", &mfind);
+	rc = ui_menu_entry_create(msearch, "~F~ind", "Ctrl-F", &mfind);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -532,5 +532,5 @@
 	ui_menu_entry_set_cb(mfind, edit_search_find, (void *) edit);
 
-	rc = ui_menu_entry_create(msearch, "Reverse Find", "Ctrl-Shift-F", &mfindr);
+	rc = ui_menu_entry_create(msearch, "~R~everse Find", "Ctrl-Shift-F", &mfindr);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -540,5 +540,5 @@
 	ui_menu_entry_set_cb(mfindr, edit_search_reverse_find, (void *) edit);
 
-	rc = ui_menu_entry_create(msearch, "Find Next", "Ctrl-N", &mfindn);
+	rc = ui_menu_entry_create(msearch, "Find ~N~ext", "Ctrl-N", &mfindn);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -554,5 +554,5 @@
 	}
 
-	rc = ui_menu_entry_create(msearch, "Go To Line", "Ctrl-L", &mgoto);
+	rc = ui_menu_entry_create(msearch, "Go To ~L~ine", "Ctrl-L", &mgoto);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
Index: uspace/app/uidemo/uidemo.c
===================================================================
--- uspace/app/uidemo/uidemo.c	(revision 96c6a005543f33cc3c981d5509c272f7fc2978cf)
+++ uspace/app/uidemo/uidemo.c	(revision c88d7f99a03ed5648769517d28db22e858d28931)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2021 Jiri Svoboda
+ * Copyright (c) 2022 Jiri Svoboda
  * All rights reserved.
  *
@@ -545,5 +545,5 @@
 	}
 
-	rc = ui_menu_entry_create(demo.mfile, "Message", "", &mmsg);
+	rc = ui_menu_entry_create(demo.mfile, "~M~essage", "", &mmsg);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -553,5 +553,5 @@
 	ui_menu_entry_set_cb(mmsg, uidemo_file_message, (void *) &demo);
 
-	rc = ui_menu_entry_create(demo.mfile, "Load", "", &mload);
+	rc = ui_menu_entry_create(demo.mfile, "~L~oad", "", &mload);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -561,17 +561,17 @@
 	ui_menu_entry_set_cb(mload, uidemo_file_load, (void *) &demo);
 
-	rc = ui_menu_entry_create(demo.mfile, "Foo", "Ctrl-Alt-Del", &mfoo);
-	if (rc != EOK) {
-		printf("Error creating menu.\n");
-		return rc;
-	}
-
-	rc = ui_menu_entry_create(demo.mfile, "Bar", "", &mbar);
-	if (rc != EOK) {
-		printf("Error creating menu.\n");
-		return rc;
-	}
-
-	rc = ui_menu_entry_create(demo.mfile, "Foobar", "", &mfoobar);
+	rc = ui_menu_entry_create(demo.mfile, "~F~oo", "Ctrl-Alt-Del", &mfoo);
+	if (rc != EOK) {
+		printf("Error creating menu.\n");
+		return rc;
+	}
+
+	rc = ui_menu_entry_create(demo.mfile, "~B~ar", "", &mbar);
+	if (rc != EOK) {
+		printf("Error creating menu.\n");
+		return rc;
+	}
+
+	rc = ui_menu_entry_create(demo.mfile, "F~o~obar", "", &mfoobar);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -585,5 +585,5 @@
 	}
 
-	rc = ui_menu_entry_create(demo.mfile, "Exit", "Alt-F4", &mexit);
+	rc = ui_menu_entry_create(demo.mfile, "E~x~it", "Alt-F4", &mexit);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -599,5 +599,5 @@
 	}
 
-	rc = ui_menu_entry_create(demo.medit, "Modify", "", &mmodify);
+	rc = ui_menu_entry_create(demo.medit, "~M~odify", "", &mmodify);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
@@ -619,5 +619,5 @@
 	}
 
-	rc = ui_menu_entry_create(demo.mhelp, "About", "Ctrl-H, F1", &mabout);
+	rc = ui_menu_entry_create(demo.mhelp, "~A~bout", "Ctrl-H, F1", &mabout);
 	if (rc != EOK) {
 		printf("Error creating menu.\n");
